# Interface methods for submodule: VotingBinaryHoleFillingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import VotingBinaryImageFilterProxy as _VotingBinaryImageFilterProxy


# Interface methods for class: VotingBinaryHoleFillingImageFilter
class VotingBinaryHoleFillingImageFilterProxy(_VotingBinaryImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMajorityThreshold(self) -> int:
		""""""
		...

	def SetMajorityThreshold(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfPixelsChanged(self) -> int:
		""""""
		...

